Subject: bug#15319: Problem with loading emacs session

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Sep 2013 18:29:21 +0300

> Date: Tue, 10 Sep 2013 10:47:08 +0200
> From: Petr Hracek <[email-masked]>
> 
> I have a problem with Emacs sessions:
> emacs version which I have currently installed is emacs-24.3
> 
> 1. create a new directory, cd into it
> 2. emacs
> 3. edit a new file with a few lines, save it under the dir, stay in the file's buffer
> 4. M-x desktop-save, choose the created dir
> 5. C-x C-c
> 6. stay in the created dir
> 7. emacs
> 
> scratch buffer should be opened but it does not work at all.

What do you mean by "does not work at all"?  Are you saying that you
get an Emacs session where "C-x b *scratch* RET" says there's no such
buffer?  If so, I cannot reproduce this on my system.

Also, I assume that you have a call to desktop-read or to
desktop-save-mode in your init file, otherwise the saved session will
not be restored.